/* Styles for entire site. Could be broker into seperate CSS but have not done so as of yet. */
body{
    background-color: #DFDFDF;
}

div#bodyHolder{
    font-family: Arial, Helvetica, sans-serif;
    color: #333;
    width: 80%;
    margin-left:auto;
    margin-right: auto;
    
    background-color: #F8F7F7;
    
    padding: 30px;
    
    border-radius: 10px;
    
}

h1{
    padding:0px;
    margin:0px;
}

/*  General styles */
h2{
    color: #7BB0E5;
    margin:0px;
}

textarea {
    font-family: Arial, Helvetica, sans-serif;
}

a, a:link, a:visited {
    color: #333;
}

a:hover {
    color: #7BB0E5;
}

button, input[type=button], input[type=submit] {
    background: white;
    border: 1px solid #cbcbc4;
    padding: 6px 9px;
    border-radius: 3px;
}

button:hover, input[type=button]:hover, input[type=submit]:hover {
    background: #EFEFE7;
}

button:active, input[type=button]:active, input[type=submit]:active {
    background: #EFEFE7;
    border: 1px solid #66819c;
}

span.bold{
    font-weight: bold;
}

label.error{
    
    color: red;
    font-size: 80%;
}

span.error{
    
    color: red;
    font-size: 120%;
}

span#form_saving{
    
    color: green;
    font-size: 100%;
    display: none;
    
}

textarea#other_information{
    
    width: 100%; 
}

form#placement_form #submit_button{
    
    float: right;
    margin-top: 30px;

}


/*******************************
The navigational links within the main header
********************************/
nav#userbar{
    /*padding-bottom: 5px;*/
    width: 100%;
    text-align: center;
    text-transform: uppercase;
}

nav#userbar ul {
    padding-left: 0;
    list-style: none;
}

/* Make the links appear in a line and correct width apart. */
nav#userbar li{
    color: #333;
    display: inline;
    font-size: 1.125em;
    padding-right: 30px;
}
/* Default link behavour */
nav#userbar a {
    color: #333;
    text-decoration: none;
}
/* If being hovered over */
nav#userbar a:hover {
    color: #333;
    text-decoration: underline;
}
/* A seperate class added to change the colour of the current page link */
nav#userbar a#activePage {
    color: #7BB0E5;
    font-weight: bold;
}
/* Holder for each navigation level */
nav.navigationMenuBar{
    text-align: center;
}


/*  Table element which is used to hold all the elements */
table.showitemsTable{
    border: 1px solid #cbcbc4;
    width:100%;
    border-collapse: collapse;
    background-color: #fff;
}

table.showitemsTable tr{
    padding: 1px;
}

table.showitemsTable th{
    padding: 6px;
    border : 1px solid #cbcbc4;
    text-align: left;
}

table.showitemsTable td{
    border-left : 1px solid #cbcbc4;
    border-bottom : 0px;
    border-top : 0px;
    padding: 5px;
    
}

table.showitemsTable tbody tr:hover{
    background-color: #efefe7;
    color: black;
    cursor: pointer;      
}

form.input_form label{
    
    display: block;
    font-weight:bold;
    
}

div.form_category {
    float: left;
}

div.form_category.last {
    clear: right;
}

div#search_form_items{
    min-height: 10px;
}

div.form_item{
    margin-top: 3px;
    margin-bottom: 3px;
   padding: 4px;
   text-align: left;
   display: inline-block;

}

#formHolder{
    
    overflow: hidden;
}

/* form categories for each page */
#placement_form .form_category.locate_ref {
    width: 100%;
    margin: 0;
}

#placement_form .form_category.personal_details {
    width: 50%;
    margin: 0;
}

#placement_form .form_category.placement_details {
    width: 50%;
    margin: 0;
}

#property_form .form_category.details {
    width: 50%;
    margin: 0;
}

#property_form .form_category.services {
    width: 50%;
    margin: 0;
}

/* Hold the area where the note adding section is going to go.  */
div#addNote{
    border-top: 5px solid #EFEFE7;
    margin: 8px 0;
    padding: 8px 0;
    width:100%;
}

div#addNote label{
    display:block;
}

div#addNote input[type='text']{
    width:100%;
    min-width: 100%;
}

div#addNote input[type='button']{
    
    float: right;
    margin : 20px 0px 20px 20px;
    cursor: pointer;
}

div#addNote input#note_date{
    width:100px;
    min-width: 100px;
}


div#addNote textarea{
    
    width:100%;
    min-width: 100%;
    height:100px;
    
}


/*  Table element which is used to hold all teh elements */
table.notetable{
    width:100%;
    border-collapse: collapse;
    border : 1px solid #cbcbc4;
    margin: 24px 0;
    background-color: #fff;
    
}

table.notetable tr{
    padding: 6px;
}

table.notetable tr.header td {
    font-size: 75%;
    border: none;
}

table.notetable tr.body td {
    border: 1px solid #969691;
    padding: 12px;
}

table.notetable td{
    border : 1px solid #cbcbc4;
    padding: 6px;
    max-width:50%;
    width:50%;
}

table.notetable tbody tr:hover{
    
    background-color: #EFEFE7;
    color: black;
    cursor: pointer;      
}

table.notetable .editnote{
    
    float:right;
    font-weight: bold;
    color: #7BB0E5;
}
.clearfix:before, .clearfix:after {
    content: " ";
    display: table;
}

.clearfix:after {
    clear: both;
}

.clearfix {
    *zoom: 1;
}


span#showIDName{
    
    padding-left: 10px;
    font-weight: bold;
    
}

/*
Used for pagination styling. Everything qualified with the 
pageNumberSelector div to avoid conflicts eith other styling
*/
/* Holder DIV with vertical spacing and align content to center */
div.pageNumberSelector{
    text-align: center;
    margin: 18px 0;
}

/* Holder for list */
div.pageNumberSelector ul{
    display: inline;
    color: grey;
}

/* Make the items all appear in one line. Add additional styling */
div.pageNumberSelector li{
    display: inline;
    border: 1px solid #cbcbc4;
    font-size: 100%;
    text-align: center;
    width: 30px;
    padding: 6px;
    margin: 0 6px;
    cursor:default;
    border-radius: 3px;
}

/* if selected make it blue so clear to see its selected */
div.pageNumberSelector li.selected{
    background-color:  #7bb0e5;
    border: 1px solid #66819c;
    color : white; 
    font-weight: bold;
}

/* Its selectable Change cursor to common link pointer */
div.pageNumberSelector li.selectable {
    cursor: pointer;
}

/* Make the hovered item stand out more */
div.pageNumberSelector li.selectable:hover{
    border: 1px solid #333;
}

/* Add space around writin in each box */
div.pageNumberSelector span{
    width: 100%;
    font-size: 100%;
}

/* Change writing color of selectable one from grey */
div.pageNumberSelector li.selectable span{
    cursor: pointer;
    color: #333;
}

footer {
    font-size: 90%;
    padding-top: 50px;
}

/* login page styles */
form.login {
    padding-top: 240px;
    width: 480px;
    margin-left: auto;
    margin-right: auto;
}